skipInsert(3)

NAME
skipInsert - insert an item.

SYNOPSIS
#include <util/skiplist.h> NEOERR *skipInsert(skipList list, UINT32 key, void *value, int allowUpdate);

ARGUMENTS
list - list to add pair to.
key - key identifying <value>.
value - value to store (may NOT be NULL)

DESCRIPTION
Inserts the <key>/<value> pair into the <list>. Key values 0 and -1 are reserved (and illegal). If key is already in list, and <allowUpdate> is true, value is updated, otherwise SKIPERR_EXISTS is returned. MT-Level: Safe if <list> thread-safe.

RETURN VALUE
None.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList